Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## bot.config
Enum BotConfig.Section

    java.lang.Object
      java.lang.Enum<BotConfig.Section>
          bot.config.BotConfig.Section

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BotConfig.Section>

Enclosing class:
  BotConfig

    public static enum BotConfig.Section

extends java.lang.Enum<BotConfig.Section>

Sections in configFile as enums

Enum Constant Summary
`BLUFFING`
`EXT_PROPOSAL`
`GAMESTORAGE`
`GENERAL`
`OPPONENTRECOGNITION`
`POTODDS`
`SERVER`
`SQUEEZING`
`STARTINGHANDCHART`

Method Summary
`(package private) abstract void` | `processTokens(java.lang.String line)`
`static BotConfig.Section` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BotConfig.Section[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GENERAL

    public static final BotConfig.Section GENERAL

### SERVER

    public static final BotConfig.Section SERVER

### GAMESTORAGE

    public static final BotConfig.Section GAMESTORAGE

### STARTINGHANDCHART

    public static final BotConfig.Section STARTINGHANDCHART

### POTODDS

    public static final BotConfig.Section POTODDS

### BLUFFING

    public static final BotConfig.Section BLUFFING

### SQUEEZING

    public static final BotConfig.Section SQUEEZING

### OPPONENTRECOGNITION

    public static final BotConfig.Section OPPONENTRECOGNITION

### EXT_PROPOSAL

    public static final BotConfig.Section EXT_PROPOSAL

Method Detail

### values

    public static BotConfig.Section[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BotConfig.Section c : BotConfig.Section.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BotConfig.Section valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### processTokens

    abstract void processTokens(java.lang.String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD